package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddAssessRecMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddAssessRec;
import com.goldenwater.slaj.hidd.service.IBisHiddAssessRecService;

/**
 * 隐患考核记录 服务层实现
 */
@Service
public class BisHiddAssessRecServiceImpl implements IBisHiddAssessRecService {

    @Autowired
    private BisHiddAssessRecMapper bisHiddAssessRecMapper;

    /**
     * 查询隐患考核记录信息
     * @param id 查询条件
     * @return 隐患考核记录信息
     */
    @Override
    public BisHiddAssessRec selectBisHiddAssessRecById(Long id) {
        return bisHiddAssessRecMapper.selectBisHiddAssessRecById(id);
    }

    /**
     * 查询隐患考核记录列表
     * @param bisHiddAssessRec 隐患考核记录查询条件
     * @return 隐患考核记录集合
     */
    @Override
    public List<BisHiddAssessRec> selectBisHiddAssessRecList(BisHiddAssessRec bisHiddAssessRec) {
        return bisHiddAssessRecMapper.selectBisHiddAssessRecList(bisHiddAssessRec);
    }

    /**
     * 新增隐患考核记录
     * @param bisHiddAssessRec 隐患考核记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddAssessRec(BisHiddAssessRec bisHiddAssessRec) {
        return bisHiddAssessRecMapper.insertBisHiddAssessRec(bisHiddAssessRec);
    }

    /**
     * 修改隐患考核记录
     * @param bisHiddAssessRec 隐患考核记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddAssessRec(BisHiddAssessRec bisHiddAssessRec) {
        return bisHiddAssessRecMapper.updateBisHiddAssessRec(bisHiddAssessRec);
    }

    /**
     * 删除隐患考核记录
     * @param id 隐患考核记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddAssessRecById(Long id) {
        return bisHiddAssessRecMapper.deleteBisHiddAssessRecById(id);
    }

    /**
     * 批量删除隐患考核记录
     * @param ids 隐患考核记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddAssessRecByIds(Long[] ids) {
        return bisHiddAssessRecMapper.deleteBisHiddAssessRecByIds(ids);
    }
}
